*, *::before, *::after {
   box-sizing: border-box;
}

:root {
    --main-color-1: #FBB040;
    --main-color-2: #006400;
    --main-color-3: #F5F5F5;
    --main-color-4: #FFDAB9;
    --main-color-5: #C0C0C0;
    --main-color-6: #808080;
    --main-color-7: #FFFFFF;
    --main-color-8: steelblue;

   --tooltip-background-color: #FBB040;
   --tooltip-color: var(--main-color-7);
   --tooltip-arrow-size: 6px;
   --tooltip-border-radius: 5px;
   --tooltip-text-align: center;
   --tooltip-padding: 0.3rem;
   --tooltip-transition-speed: 150ms;
   --tooltip-margin: -0.25rem;
   --tooltip-font-size: 0.9rem;
}

html, body {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}

body {
    width: 100%;
    height: 100%;
    font-family: Roboto, arial, helvetica, sans-serif;
    font-size: 16px;
    padding-bottom: 70px;
    overflow-x: hidden;
    background-color: white;
}

/* SCROLLBAR ---------------------------------------------------------------- */

::-webkit-scrollbar {
  width: 14px;
}

::-webkit-scrollbar-track {
  box-shadow: inset 0 0 2px grey; 
  border-radius: 7px;
}
 
::-webkit-scrollbar-thumb {
  background: var(--main-color-4); 
  border-radius: 7px;
}

::-webkit-scrollbar-thumb:hover {
  background: var(--main-color-1); 
}

/* HEADER ------------------------------------------------------------------- */

header {
    width: 1200px;
    height: 100px;
    margin: auto;
    border-bottom: solid 5px var(--main-color-1);
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding: 0 13px 0 5px;
    position: sticky;
    top: 0;
    z-index: 1500;
    background-color: var(--main-color-7);
    box-shadow: 0 0 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

header img {
    height: 90%;
    width: auto;
    margin: 5% 0;
}

header span {
    font-family: 'Comfortaa', cursive;
    font-size: 34px;
    display: inline-block;
    color: var(--main-color-1);
}

header nav {
    flex-grow: 1;
    text-align: right;
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    align-self: flex-end;
    padding-bottom: 5px;
}

header nav a {
    font-size: 24px;
    padding: 10px;
    color: var(--main-color-1);
    margin-left: 10px;
    border-radius: 5px;
    width: 50px;
    text-align: center;
}

header nav a:hover {
    background-color: var(--main-color-1);
    color: var(--main-color-7);
}

/* MAIN --------------------------------------------------------------------- */

main {
    width: 1200px;
    margin: auto;
    background-color: var(--main-color-3);
    border: solid 1px var(--main-color-4);
    padding-bottom: 20px;
    overflow-x: hidden;
}

section {
    padding: 0 20px;
}

h1 {
    color: var(--main-color-2);
    font-family: 'Comfortaa';
    font-size: 1.5rem;
    border-bottom: solid 1px var(--main-color-1);
    padding: 20px 0 0 0;
}

h1 i {
    float: right;
    color: var(--main-color-1);
}

h2 {
    font-size: 1.2rem;
    color: var(--main-color-2);
}

p {
    line-height: 1.8;
    color: var(--main-color-6);
}

.stupci {
    column-count: 3;
    column-gap: 40px;
    column-rule: 1px solid var(--main-color-5);
    text-align: justify;
}

.uvuci {
    padding-left: 40px;    
}

.kartice-usluge, .kartice-kontakti {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    grid-gap: 20px;
}

.kartica {
    color: var(--main-color-1);
    text-align: center;
    padding: 20px;
    font-family: 'Comfortaa';
    box-shadow: rgba(0, 0, 0, 0.35) 0px 0px 15px;
}

.kartice-usluge .kartica span {
    font-size: 2rem;
}

.kartice-kontakti .kartica span {
    font-size: 1.2rem;
    font-weight: bold;
}

.kartice-kontakti .kartica a {
    font-size: 1.5rem;
    display: block;
    background-color: var(--main-color-1);
    color: var(--main-color-7);
    text-decoration: none;
    padding: 5px;
    border-radius: 25px;
}

.kartica i {
    font-size: 3rem;
    display: block;
    color: var(--main-color-6);
}

.kartice-usluge .kartica i {
    margin-top: 20px;
}

.kartice-kontakti .kartica i {
    margin-bottom: 20px;
}

/* FOOTER ------------------------------------------------------------------- */

footer {
    position: fixed;
    z-index: 2000;
    padding: 40px;
    text-align: center;
    border-radius: 20px;
    background-color: var(--main-color-4);
    border: solid 3px var(--main-color-1);
    box-shadow: rgba(0, 0, 0, 0.35) 0px 0px 15px;
    line-height: 2;
    transition: all 1s;
}

footer.skriveno {
    top: 200vh;
}

footer i {
    font-size: 84px;
    color: white;
    text-shadow: var(--main-color-1) 0px 0px 15px;
}

footer span {
    display: block;
    margin-top: 40px;
    font-family: 'Comfortaa';
}

#progress-container {
    margin: 20px auto;
    width: 100%;
    text-align: center;
}

.progress {
    padding: 6px;
    background: rgba(0, 0, 0, 0.25);
    border-radius: 6px;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.25), 0 1px rgba(255, 255, 255, 0.08);
}

.progress-bar {
    height: 18px;
    background-color: #ee303c;
    border-radius: 4px;
    width: 0;
    background-color: #FCBC51;
    width: 20%;
    background-image: linear-gradient(45deg, #fca311 25%, transparent 25%, transparent 50%, #fca311 50%, #fca311 75%, transparent 75%, transparent);
}

footer button {
    border: none;
    background-color: var(--main-color-1);
    color: white;
    border-radius: 25px;
    padding: 10px 50px;
    font-family: 'Comfortaa';
    font-size: 1.2rem;
    margin-top: 20px;
    cursor: pointer;
}

footer button:hover {
    background-color: var(--main-color-2);
}

/* HEADER ------------------------------------------------------------------- */

@media only screen and (min-width: 1200px) {

    footer {
        top: 150px;
        left: 50%;
        transform: translate(-50%, 0);
    }

}

@media only screen and (min-width: 801px) and (max-width: 1199px) {

    header {
        width: 100%;
    }

    main {
        width: 100%;
    }

    .stupci {
        column-count: 2;
    }

    .kartice-usluge, .kartice-kontakti {
        grid-template-columns: 1fr 1fr;
    }

    footer {
        top: 150px;
        left: 50%;
        transform: translate(-50%, 0);
    }

}

@media only screen and (max-width: 800px) {

    header {
        width: 100%;
        height: 50px;
        border-bottom: solid 1px var(--main-color-1);
        display: flex;
        justify-content: flex-start;
        align-items: center;
    }

    header img {
        height: 80%;
        width: auto;
        margin: 10% 0;
    }

    header span {
        font-size: 18px;
        font-weight: bold;
        padding-top: 5px;
    }

    header nav {
        position: fixed;
        bottom: 0;
        left: 0;
        right: 0;
        height: 50px;
        display: grid;
        grid-template-columns: 1fr 1fr 1fr 1fr;
        z-index: 1000;
        padding: 0;
    }

    header nav a {
        width: auto;
        margin: 0;
        color: var(--main-color-7);
        background-color: var(--main-color-1);
        border-radius: 0;
    }

    main {
        position: fixed;
        width: 100%;
        top: 50px;
        left: 0;
        bottom: 50px;
        right: 0;
        overflow-y: scroll;
        overflow-x: hidden;
    }

    #pt-main {
        /* margin: 0 -20%; */
    }

    .stupci {
        column-count: 1;
    }

    .uvuci {
        padding-left: 20px;
    }

    .kartice-usluge, .kartice-kontakti {
        grid-template-columns: 1fr;
    }

    footer {
        top: 40px;
        left: 40px;
        bottom: 40px
        right: 40px;
        width: calc(100% - 80px);
        line-height: 1.5;
    }

}